# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja" Generator, CMake Version 3.28

# This file contains all the build statements describing the
# compilation DAG.

# =============================================================================
# Write statements declared in CMakeLists.txt:
# 
# Which is the root file.
# =============================================================================

# =============================================================================
# Project: YuppleMayham
# Configurations: Debug
# =============================================================================

#############################################
# Minimal version of Ninja required by this file

ninja_required_version = 1.5


#############################################
# Set configuration variable for custom commands.

CONFIGURATION = Debug
# =============================================================================
# Include auxiliary files.


#############################################
# Include rules file.

include CMakeFiles\rules.ninja

# =============================================================================

#############################################
# Logical path to working directory; prefix for absolute paths.

cmake_ninja_workdir = C$:\Users\Ethan\source\repos\YuppleMayham\out\build\x64-debug\

#############################################
# Utility command for edit_cache

build CMakeFiles\edit_cache.util: CUSTOM_COMMAND
  COMMAND = C:\Windows\system32\cmd.exe /C "cd /D C:\Users\Ethan\source\repos\YuppleMayham\out\build\x64-debug && "C:\Program Files\Microsoft Visual Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\bin\cmake.exe" -E echo "No interactive CMake dialog available.""
  DESC = No interactive CMake dialog available...
  restat = 1

build edit_cache: phony CMakeFiles\edit_cache.util


#############################################
# Utility command for rebuild_cache

build CMakeFiles\rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = C:\Windows\system32\cmd.exe /C "cd /D C:\Users\Ethan\source\repos\YuppleMayham\out\build\x64-debug && "C:\Program Files\Microsoft Visual Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\bin\cmake.exe" --regenerate-during-build -SC:\Users\Ethan\source\repos\YuppleMayham -BC:\Users\Ethan\source\repos\YuppleMayham\out\build\x64-debug"
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build rebuild_cache: phony CMakeFiles\rebuild_cache.util

# =============================================================================
# Write statements declared in CMakeLists.txt:
# C:/Users/Ethan/source/repos/YuppleMayham/CMakeLists.txt
# =============================================================================

# =============================================================================
# Object build statements for EXECUTABLE target YuppleMayham


#############################################
# Order-only phony target for YuppleMayham

build cmake_object_order_depends_target_YuppleMayham: phony || YuppleMayham\CMakeFiles\YuppleMayham.dir

build YuppleMayham\CMakeFiles\YuppleMayham.dir\src\main.cpp.obj: CXX_COMPILER__YuppleMayham_unscanned_Debug C$:\Users\Ethan\source\repos\YuppleMayham\YuppleMayham\src\main.cpp || cmake_object_order_depends_target_YuppleMayham
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Ob0 /Od /RTC1 -std:c++20 -ZI
  INCLUDES = -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\gameplay -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\graphics -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham -external:Ic:\sdks\glad\include -external:Ic:\sdks\glm -external:IC:\sdks\sdl2\cmake\..\include -external:IC:\sdks\SDL2_image-2.8.2\cmake\..\include -external:W0
  OBJECT_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir
  OBJECT_FILE_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir\src
  TARGET_COMPILE_PDB = YuppleMayham\CMakeFiles\YuppleMayham.dir\
  TARGET_PDB = YuppleMayham\YuppleMayham.pdb

build YuppleMayham\CMakeFiles\YuppleMayham.dir\C_\sdks\glad\src\glad.c.obj: C_COMPILER__YuppleMayham_unscanned_Debug C$:\sdks\glad\src\glad.c || cmake_object_order_depends_target_YuppleMayham
  FLAGS = /DWIN32 /D_WINDOWS /W3 /MDd /Ob0 /Od /RTC1 -ZI
  INCLUDES = -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\gameplay -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\graphics -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham -external:Ic:\sdks\glad\include -external:Ic:\sdks\glm -external:IC:\sdks\sdl2\cmake\..\include -external:IC:\sdks\SDL2_image-2.8.2\cmake\..\include -external:W0
  OBJECT_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir
  OBJECT_FILE_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir\C_\sdks\glad\src
  TARGET_COMPILE_PDB = YuppleMayham\CMakeFiles\YuppleMayham.dir\
  TARGET_PDB = YuppleMayham\YuppleMayham.pdb

build YuppleMayham\CMakeFiles\YuppleMayham.dir\src\graphics\sprite.cpp.obj: CXX_COMPILER__YuppleMayham_unscanned_Debug C$:\Users\Ethan\source\repos\YuppleMayham\YuppleMayham\src\graphics\sprite.cpp || cmake_object_order_depends_target_YuppleMayham
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Ob0 /Od /RTC1 -std:c++20 -ZI
  INCLUDES = -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\gameplay -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\graphics -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham -external:Ic:\sdks\glad\include -external:Ic:\sdks\glm -external:IC:\sdks\sdl2\cmake\..\include -external:IC:\sdks\SDL2_image-2.8.2\cmake\..\include -external:W0
  OBJECT_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir
  OBJECT_FILE_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir\src\graphics
  TARGET_COMPILE_PDB = YuppleMayham\CMakeFiles\YuppleMayham.dir\
  TARGET_PDB = YuppleMayham\YuppleMayham.pdb

build YuppleMayham\CMakeFiles\YuppleMayham.dir\src\graphics\mesh.cpp.obj: CXX_COMPILER__YuppleMayham_unscanned_Debug C$:\Users\Ethan\source\repos\YuppleMayham\YuppleMayham\src\graphics\mesh.cpp || cmake_object_order_depends_target_YuppleMayham
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Ob0 /Od /RTC1 -std:c++20 -ZI
  INCLUDES = -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\gameplay -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\graphics -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham -external:Ic:\sdks\glad\include -external:Ic:\sdks\glm -external:IC:\sdks\sdl2\cmake\..\include -external:IC:\sdks\SDL2_image-2.8.2\cmake\..\include -external:W0
  OBJECT_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir
  OBJECT_FILE_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir\src\graphics
  TARGET_COMPILE_PDB = YuppleMayham\CMakeFiles\YuppleMayham.dir\
  TARGET_PDB = YuppleMayham\YuppleMayham.pdb

build YuppleMayham\CMakeFiles\YuppleMayham.dir\src\gameplay\entity.cpp.obj: CXX_COMPILER__YuppleMayham_unscanned_Debug C$:\Users\Ethan\source\repos\YuppleMayham\YuppleMayham\src\gameplay\entity.cpp || cmake_object_order_depends_target_YuppleMayham
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Ob0 /Od /RTC1 -std:c++20 -ZI
  INCLUDES = -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\gameplay -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\graphics -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham -external:Ic:\sdks\glad\include -external:Ic:\sdks\glm -external:IC:\sdks\sdl2\cmake\..\include -external:IC:\sdks\SDL2_image-2.8.2\cmake\..\include -external:W0
  OBJECT_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir
  OBJECT_FILE_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir\src\gameplay
  TARGET_COMPILE_PDB = YuppleMayham\CMakeFiles\YuppleMayham.dir\
  TARGET_PDB = YuppleMayham\YuppleMayham.pdb

build YuppleMayham\CMakeFiles\YuppleMayham.dir\src\gameplay\gameactor.cpp.obj: CXX_COMPILER__YuppleMayham_unscanned_Debug C$:\Users\Ethan\source\repos\YuppleMayham\YuppleMayham\src\gameplay\gameactor.cpp || cmake_object_order_depends_target_YuppleMayham
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Ob0 /Od /RTC1 -std:c++20 -ZI
  INCLUDES = -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\gameplay -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\graphics -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham -external:Ic:\sdks\glad\include -external:Ic:\sdks\glm -external:IC:\sdks\sdl2\cmake\..\include -external:IC:\sdks\SDL2_image-2.8.2\cmake\..\include -external:W0
  OBJECT_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir
  OBJECT_FILE_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir\src\gameplay
  TARGET_COMPILE_PDB = YuppleMayham\CMakeFiles\YuppleMayham.dir\
  TARGET_PDB = YuppleMayham\YuppleMayham.pdb

build YuppleMayham\CMakeFiles\YuppleMayham.dir\src\graphics\shader.cpp.obj: CXX_COMPILER__YuppleMayham_unscanned_Debug C$:\Users\Ethan\source\repos\YuppleMayham\YuppleMayham\src\graphics\shader.cpp || cmake_object_order_depends_target_YuppleMayham
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Ob0 /Od /RTC1 -std:c++20 -ZI
  INCLUDES = -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\gameplay -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\graphics -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham -external:Ic:\sdks\glad\include -external:Ic:\sdks\glm -external:IC:\sdks\sdl2\cmake\..\include -external:IC:\sdks\SDL2_image-2.8.2\cmake\..\include -external:W0
  OBJECT_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir
  OBJECT_FILE_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir\src\graphics
  TARGET_COMPILE_PDB = YuppleMayham\CMakeFiles\YuppleMayham.dir\
  TARGET_PDB = YuppleMayham\YuppleMayham.pdb

build YuppleMayham\CMakeFiles\YuppleMayham.dir\src\util.cpp.obj: CXX_COMPILER__YuppleMayham_unscanned_Debug C$:\Users\Ethan\source\repos\YuppleMayham\YuppleMayham\src\util.cpp || cmake_object_order_depends_target_YuppleMayham
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Ob0 /Od /RTC1 -std:c++20 -ZI
  INCLUDES = -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\gameplay -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\graphics -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham -external:Ic:\sdks\glad\include -external:Ic:\sdks\glm -external:IC:\sdks\sdl2\cmake\..\include -external:IC:\sdks\SDL2_image-2.8.2\cmake\..\include -external:W0
  OBJECT_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir
  OBJECT_FILE_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir\src
  TARGET_COMPILE_PDB = YuppleMayham\CMakeFiles\YuppleMayham.dir\
  TARGET_PDB = YuppleMayham\YuppleMayham.pdb

build YuppleMayham\CMakeFiles\YuppleMayham.dir\src\gameplay\camera.cpp.obj: CXX_COMPILER__YuppleMayham_unscanned_Debug C$:\Users\Ethan\source\repos\YuppleMayham\YuppleMayham\src\gameplay\camera.cpp || cmake_object_order_depends_target_YuppleMayham
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Ob0 /Od /RTC1 -std:c++20 -ZI
  INCLUDES = -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\gameplay -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham\graphics -IC:\Users\Ethan\source\repos\YuppleMayham\YupplyMayham -external:Ic:\sdks\glad\include -external:Ic:\sdks\glm -external:IC:\sdks\sdl2\cmake\..\include -external:IC:\sdks\SDL2_image-2.8.2\cmake\..\include -external:W0
  OBJECT_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir
  OBJECT_FILE_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir\src\gameplay
  TARGET_COMPILE_PDB = YuppleMayham\CMakeFiles\YuppleMayham.dir\
  TARGET_PDB = YuppleMayham\YuppleMayham.pdb


# =============================================================================
# Link build statements for EXECUTABLE target YuppleMayham


#############################################
# Link the executable YuppleMayham\YuppleMayham.exe

build YuppleMayham\YuppleMayham.exe: CXX_EXECUTABLE_LINKER__YuppleMayham_Debug YuppleMayham\CMakeFiles\YuppleMayham.dir\src\main.cpp.obj YuppleMayham\CMakeFiles\YuppleMayham.dir\C_\sdks\glad\src\glad.c.obj YuppleMayham\CMakeFiles\YuppleMayham.dir\src\graphics\sprite.cpp.obj YuppleMayham\CMakeFiles\YuppleMayham.dir\src\graphics\mesh.cpp.obj YuppleMayham\CMakeFiles\YuppleMayham.dir\src\gameplay\entity.cpp.obj YuppleMayham\CMakeFiles\YuppleMayham.dir\src\gameplay\gameactor.cpp.obj YuppleMayham\CMakeFiles\YuppleMayham.dir\src\graphics\shader.cpp.obj YuppleMayham\CMakeFiles\YuppleMayham.dir\src\util.cpp.obj YuppleMayham\CMakeFiles\YuppleMayham.dir\src\gameplay\camera.cpp.obj | C$:\sdks\sdl2\cmake\..\lib\x64\SDL2main.lib C$:\sdks\sdl2\cmake\..\lib\x64\SDL2.lib C$:\sdks\SDL2_image-2.8.2\cmake\..\lib\x64\SDL2_image.lib
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Ob0 /Od /RTC1 -ZI
  LINK_FLAGS = /machine:x64 /debug /INCREMENTAL /subsystem:console
  LINK_LIBRARIES = C:\sdks\sdl2\cmake\..\lib\x64\SDL2main.lib  C:\sdks\sdl2\cmake\..\lib\x64\SDL2.lib  C:\sdks\SDL2_image-2.8.2\cmake\..\lib\x64\SDL2_image.lib  kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib
  OBJECT_DIR = YuppleMayham\CMakeFiles\YuppleMayham.dir
  POST_BUILD = cd .
  PRE_LINK = C:\Windows\system32\cmd.exe /C "cd /D C:\Users\Ethan\source\repos\YuppleMayham\out\build\x64-debug\YuppleMayham && "C:\Program Files\Microsoft Visual Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\bin\cmake.exe" -E copy_directory C:/Users/Ethan/source/repos/YuppleMayham/Resources/ C:/Users/Ethan/source/repos/YuppleMayham/out/build/x64-debug/YuppleMayham && cd C:\Users\Ethan\source\repos\YuppleMayham\out\build\x64-debug"
  TARGET_COMPILE_PDB = YuppleMayham\CMakeFiles\YuppleMayham.dir\
  TARGET_FILE = YuppleMayham\YuppleMayham.exe
  TARGET_IMPLIB = YuppleMayham\YuppleMayham.lib
  TARGET_PDB = YuppleMayham\YuppleMayham.pdb


#############################################
# Utility command for edit_cache

build YuppleMayham\CMakeFiles\edit_cache.util: CUSTOM_COMMAND
  COMMAND = C:\Windows\system32\cmd.exe /C "cd /D C:\Users\Ethan\source\repos\YuppleMayham\out\build\x64-debug\YuppleMayham && "C:\Program Files\Microsoft Visual Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\bin\cmake.exe" -E echo "No interactive CMake dialog available.""
  DESC = No interactive CMake dialog available...
  restat = 1

build YuppleMayham\edit_cache: phony YuppleMayham\CMakeFiles\edit_cache.util


#############################################
# Utility command for rebuild_cache

build YuppleMayham\CMakeFiles\rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = C:\Windows\system32\cmd.exe /C "cd /D C:\Users\Ethan\source\repos\YuppleMayham\out\build\x64-debug\YuppleMayham && "C:\Program Files\Microsoft Visual Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\bin\cmake.exe" --regenerate-during-build -SC:\Users\Ethan\source\repos\YuppleMayham -BC:\Users\Ethan\source\repos\YuppleMayham\out\build\x64-debug"
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build YuppleMayham\rebuild_cache: phony YuppleMayham\CMakeFiles\rebuild_cache.util

# =============================================================================
# Target aliases.

build YuppleMayham: phony YuppleMayham\YuppleMayham.exe

build YuppleMayham.exe: phony YuppleMayham\YuppleMayham.exe

# =============================================================================
# Folder targets.

# =============================================================================

#############################################
# Folder: C:/Users/Ethan/source/repos/YuppleMayham/out/build/x64-debug

build all: phony YuppleMayham\all

# =============================================================================

#############################################
# Folder: C:/Users/Ethan/source/repos/YuppleMayham/out/build/x64-debug/YuppleMayham

build YuppleMayham\all: phony YuppleMayham\YuppleMayham.exe

# =============================================================================
# Built-in targets


#############################################
# Re-run CMake if any of its inputs changed.

build build.ninja: RERUN_CMAKE | C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeCInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeCXXInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeCommonLanguageInclude.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeGenericSystem.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeInitializeConfigs.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeLanguageInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeRCInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeSystemSpecificInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeSystemSpecificInitialize.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Compiler\CMakeCommonCompilerMacros.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Compiler\MSVC-C.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Compiler\MSVC-CXX.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Compiler\MSVC.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\FeatureSummary.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Platform\Windows-Initialize.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Platform\Windows-MSVC-C.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Platform\Windows-MSVC-CXX.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Platform\Windows-MSVC.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Platform\Windows.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Platform\WindowsPaths.cmake C$:\Users\Ethan\source\repos\YuppleMayham\CMakeLists.txt C$:\Users\Ethan\source\repos\YuppleMayham\YuppleMayham\CMakeLists.txt C$:\sdks\SDL2_image-2.8.2\cmake\sdl2_image-config-version.cmake C$:\sdks\SDL2_image-2.8.2\cmake\sdl2_image-config.cmake C$:\sdks\sdl2\cmake\sdl2-config-version.cmake C$:\sdks\sdl2\cmake\sdl2-config.cmake CMakeCache.txt CMakeFiles\3.28.0-msvc1\CMakeCCompiler.cmake CMakeFiles\3.28.0-msvc1\CMakeCXXCompiler.cmake CMakeFiles\3.28.0-msvc1\CMakeRCCompiler.cmake CMakeFiles\3.28.0-msvc1\CMakeSystem.cmake
  pool = console


#############################################
# A missing CMake input file is not an error.

build C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeCInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeCXXInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeCommonLanguageInclude.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeGenericSystem.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeInitializeConfigs.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeLanguageInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeRCInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeSystemSpecificInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\CMakeSystemSpecificInitialize.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Compiler\CMakeCommonCompilerMacros.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Compiler\MSVC-C.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Compiler\MSVC-CXX.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Compiler\MSVC.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\FeatureSummary.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Platform\Windows-Initialize.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Platform\Windows-MSVC-C.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Platform\Windows-MSVC-CXX.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Platform\Windows-MSVC.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Platform\Windows.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.28\Modules\Platform\WindowsPaths.cmake C$:\Users\Ethan\source\repos\YuppleMayham\CMakeLists.txt C$:\Users\Ethan\source\repos\YuppleMayham\YuppleMayham\CMakeLists.txt C$:\sdks\SDL2_image-2.8.2\cmake\sdl2_image-config-version.cmake C$:\sdks\SDL2_image-2.8.2\cmake\sdl2_image-config.cmake C$:\sdks\sdl2\cmake\sdl2-config-version.cmake C$:\sdks\sdl2\cmake\sdl2-config.cmake CMakeCache.txt CMakeFiles\3.28.0-msvc1\CMakeCCompiler.cmake CMakeFiles\3.28.0-msvc1\CMakeCXXCompiler.cmake CMakeFiles\3.28.0-msvc1\CMakeRCCompiler.cmake CMakeFiles\3.28.0-msvc1\CMakeSystem.cmake: phony


#############################################
# Clean all the built files.

build clean: CLEAN


#############################################
# Print all primary targets available.

build help: HELP


#############################################
# Make the all target the default.

default all
